# Interface IfcDiagnosticNodeData

interface IfcDiagnosticNodeData {
gid?: string;
id: string;
ifcType: string;
[property: string]: any;
}

#### Indexable

- [property: string]: any

##### Index

### Properties

gid?
id
ifcType

## Properties

### `Optional` gid

gid?: string

The globally unique identifier of the entity in the IFC file.

### id

id: string

The local identifier of the entity in the IFC file.

### ifcType

ifcType: string